Ask Your Question
0

puppetlabs-f5 module : installation

asked 2015-03-16 11:11:51 -0500

glenn1179 gravatar image

updated 2015-03-16 12:18:33 -0500

csharpsteen gravatar image

I'm a Windows admin being asked to learn PE and Linux. This is a sandbox environment with the all in one PE install and 10 free node license on Centos 6.5.

# puppet module install puppetlabs-f5
Notice: Preparing to install into /etc/puppetlabs/puppet/environments/production/modules ...
Notice: Downloading from https://forgeapi.puppetlabs.com ...
Error: Request to Puppet Forge failed.
  The server being queried was https://forgeapi.puppetlabs.com/v3/releases?module=puppetlabs-f5&module_groups=base+pe_only
  The HTTP response we received was '403 Forbidden'
  The message we received said 'You must have a valid Puppet Enterprise license on this node in order to download puppetlabs-f5. If you have a Puppet Enterprise license, please see https://docs.puppetlabs.com/pe/latest/modules_installing.html#puppet-enterprise-modules for more information.'
# ping puppetlabs.com
PING puppetlabs.com (45.56.74.106) 56(84) bytes of data.
64 bytes from li924-106.members.linode.com (45.56.74.106): icmp_seq=1 ttl=42 time=44.1 ms
64 bytes from li924-106.members.linode.com (45.56.74.106): icmp_seq=2 ttl=42 time=43.9 ms
64 bytes from li924-106.members.linode.com (45.56.74.106): icmp_seq=3 ttl=42 time=43.7 ms
64 bytes from li924-106.members.linode.com (45.56.74.106): icmp_seq=4 ttl=42 time=43.7 ms
^C
--- puppetlabs.com ping statistics ---
4 packets transmitted, 4 received, 0% packet loss, time 3605ms
rtt min/avg/max/mdev = 43.754/43.891/44.122/0.149 ms
# puppet --version
3.7.3 (Puppet Enterprise 3.7.1)
[root@testpuppet01 ~]# puppet module install puppetlabs-pe_gem
Notice: Preparing to install into /etc/puppetlabs/puppet/environments/production/modules ...
Notice: Module puppetlabs-pe_gem 0.1.0 is already installed.

I'm logged in as root, so I believe I'm meeting all the requirements of the document the error tells me to refer. What do I try next?

edit retag flag offensive close merge delete

Comments

1

Unless you've bought a license, you won't have a license file. I know puppetlabs were looking to get into 'premium' modules. I guess this is the 1st

jonuwz gravatar imagejonuwz ( 2015-03-16 18:36:32 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2015-03-17 13:02:40 -0500

glenn1179 gravatar image

Unless you've bought a license, you won't have a license file. I know puppetlabs were looking to get into 'premium' modules. I guess this is the 1st jonuwz (18 hours ago)

That is correct. My PE salesperson confirmed it and gave me a license file for 10 nodes and then I was able to install the module.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2015-03-16 11:11:51 -0500

Seen: 178 times

Last updated: Mar 17 '15